<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html">

<ui:composition template="/templates/template.xhtml">
	<ui:define name="principal">
		<h3>Listagem</h3>
		<h:form>
		    <h:panelGroup rendered="#{empty cadastro.livros}">
		       <h:outputText value="Não há livros cadastrados!" />
		    </h:panelGroup>
			<h:dataTable rendered="#{not empty cadastro.livros}" styleClass="listagem" value="#{cadastro.livros}"
				var="livro" cellspacing="0" rowClasses="row1,row2">
				<h:column>
					<f:facet name="header">
						<h:outputText value="ID" />
					</f:facet>
					<h:outputText value="#{livro.id}" />
				</h:column>
				<h:column>
					<f:facet name="header" sytle="text-align:left">
						<h:outputText value="Título" />
					</f:facet>
					<h:outputText value="#{livro.nome}" />
				</h:column>
			</h:dataTable>
		</h:form>
	</ui:define>
</ui:composition>

</html>